import React from "react";
import styled from "styled-components";
import { useRouter } from 'next/router'

export default function ControlPanel({pid}) {
  const router = useRouter()

  const Button = styled.button`
    background: ${(props) => (props.next ? "palevioletred" : "white")};
    color: ${(props) => (props.next ? "white" : "palevioletred")};
    font-size: 1em;
    margin: 1em;
    padding: 0.25em 1em;
    border: 2px solid palevioletred;
    border-radius: 3px;
    width: 10rem;
    display: 'flex';
    cursor: pointer;
  `;

  const handleNext = () => {
    if (pid == 4) {
      router.push(`http://localhost:3000`)
    } else {
      router.push(`http://localhost:3000/exams/${parseInt(pid)+1}`)
    }
  }

  const handlePrevious = () => {
    console.log(pid)
    if (pid == 1){
      router.push(`http://localhost:3000`)
    }
    else {
      router.push(`http://localhost:3000/exams/${parseInt(pid)-1}`)
    }
  }

  return (
    <>
      <Button onClick={handlePrevious}>Previous</Button>
      <Button next onClick={handleNext}>Next</Button>
    </>
  );
}
