import React, { Component } from "react";

// Redux
import { connect } from "react-redux";

// Components
import content from "../../public/exam.json";
import ControlPanel from "./ControlPanel";

class MainWindow extends Component {
  constructor(props) {
    super(props);
    this.state = { q1: -1, q2: -1, q3: -1, q4: -1 };
    this.handleRadio = this.handleRadio.bind(this);
  }

  handleRadio(event) {
    switch (this.props.pid) {
      case "1":
        this.props.answerQ1(event.target.value)
      case "2":
        this.props.answerQ2(event.target.value)
      case "3":
        this.props.answerQ3(event.target.value)
      case "4":
        this.props.answerQ4(event.target.value)
      default:
        console.log("Radio Warning")
    }
  }
  render() {
    console.log(this.props)
    return (
      <div
        style={{
          width: "700px",
          height: "400px",
          margin: "0 auto",
          border: "2px solid",
          padding: "20px",
        }}
      >
        <h1>
          ข้อที่{" "}
          {this.props.pid == -1
            ? "Loading"
            : `${this.props.pid} : ${content[this.props.pid].name}`}
        </h1>

        <div onChange={this.handleRadio} style={{ verticalAlign: "middle" }}>
          <input
            type="radio"
            value={
              this.props.pid == -1
                ? "null"
                : content[this.props.pid].choice[0].id
            }
            name="answer"
          />
          {this.props.pid == -1
            ? "null"
            : content[this.props.pid].choice[0].text}
          <input
            type="radio"
            value={
              this.props.pid == -1
                ? "null"
                : content[this.props.pid].choice[1].id
            }
            name="answer"
          />
          {this.props.pid == -1
            ? "null"
            : content[this.props.pid].choice[1].text}
          <input
            type="radio"
            value={
              this.props.pid == -1
                ? "null"
                : content[this.props.pid].choice[2].id
            }
            name="answer"
          />
          {this.props.pid == -1
            ? "null"
            : content[this.props.pid].choice[2].text}
          <input
            type="radio"
            value={
              this.props.pid == -1
                ? "null"
                : content[this.props.pid].choice[3].id
            }
            name="answer"
          />
          {this.props.pid == -1
            ? "null"
            : content[this.props.pid].choice[3].text}
        </div>

        <div>
          <p>Your answer</p>
          <p>{this.props.answer.answer.q1}</p>
          <p>{this.props.answer.answer.q2}</p>
          <p>{this.props.answer.answer.q3}</p>
          <p>{this.props.answer.answer.q4}</p>

        </div>
        <ControlPanel pid={this.props.pid} />
      </div>
    );
  }
}

const mapStateToProps = (state) => ({
  answer: state.answer,
});

const mapDispatchToProps = {
  answerQ1: (choice) => ({ type: "Q1", value: choice}),
  answerQ2: (choice) => ({ type: "Q2", value: choice}),
  answerQ3: (choice) => ({ type: "Q3", value: choice}),
  answerQ4: (choice) => ({ type: "Q4", value: choice}),
};

export default connect(mapStateToProps, mapDispatchToProps)(MainWindow);
