import React, { Component } from "react";
import styles from "../../styles/Home.module.css";
import Head from "next/head";

// Redux
import store from '../redux/store';
import { connect } from 'react-redux';

class Forms extends Component {
  constructor(props) {
    super(props);
    this.state = { name: "", surname: "", gender: "" };

    this.handleName = this.handleName.bind(this);
    this.handleSurname = this.handleSurname.bind(this);
    this.handleGender = this.handleGender.bind(this);
    this.handleSubmit = this.handleSubmit.bind(this);
  }

  handleName(event) {
    this.setState({ name: event.target.value });
  }

  handleSurname(event) {
    this.setState({ surname: event.target.value });
  }
  handleGender(event) {
    this.setState({ gender: event.target.value });
  }

  handleSubmit(event) {
    alert("A name was submitted: " + this.state.name + " " + this.state.surname );
    event.preventDefault();
  }

  render() {
    return (
      <div className={styles.container}>
        <Head>
          <title>Create Next App</title>
          <meta name="description" content="Generated by create next app" />
          <link rel="icon" href="/favicon.ico" />
        </Head>

        <main className={styles.main}>
          <h1 className={styles.title}>
            กรุณากรอกข้อมูล<a>ก่อนเริ่มทำแบบทดสอบ</a>
          </h1>

          <div className={styles.card}>
            <form onSubmit={this.handleSubmit}>
              <label>
                Name :
                <input
                  type="text"
                  value={this.state.name}
                  style={{ height: "2rem", width: "20rem" }}
                  onChange={this.handleName}
                />
                <br />
              </label>
              <label>
                Surname :
                <input
                  type="text"
                  value={this.state.surname}
                  style={{ height: "2rem", width: "20rem" }}
                  onChange={this.handleSurname}
                />
                <br />
              </label>
              <label>
                Gender :
                <select value={this.state.gender} onChange={this.handleGender}>
                  <option value="male">Male</option>
                  <option value="female">Female</option>
                </select>
              </label>
              <br />
              <input type="submit" value="Submit" />
            </form>
          </div>
        </main>

        <footer className={styles.footer}>NASRI</footer>
      </div>
    );
  }
}

const mapStateToProps = state => ({
    userForm: state.form
})

const mapDispatchToProps = {
    setName: () => ({type: "NAME", value: this.state.name}),
    setSurname: () => ({type: "SURNAME", value: this.state.surname}),
    setGender: () => ({type: "GENDER", value: this.state.gender})
}

export default connect(mapStateToProps, mapDispatchToProps)(Forms);
